Package com.massivecraft.factions.zcore.nbtapi

## Class NBTCompound

- java.lang.Object
- - com.massivecraft.factions.zcore.nbtapi.NBTCompound

Direct Known Subclasses:
  `NBTContainer`, `NBTEntity`, `NBTFile`, `NBTItem`, `NBTTileEntity`

    public class NBTCompound
    extends java.lang.Object

### Constructor Summary

Constructors
Modifier | Constructor | Description
--- | --- | ---
`protected` | `NBTCompound()` |
`protected` | `NBTCompound​(NBTCompound owner, java.lang.String name)` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`NBTCompound` | `addCompound​(java.lang.String name)` |
`java.lang.String` | `asNBTString()` |
`java.lang.Boolean` | `getBoolean​(java.lang.String key)` |
`java.lang.Byte` | `getByte​(java.lang.String key)` |
`byte[]` | `getByteArray​(java.lang.String key)` |
`protected java.lang.Object` | `getCompound()` |
`NBTCompound` | `getCompound​(java.lang.String name)` |
`protected java.lang.String` | `getContent​(java.lang.String key)` |
`java.lang.Double` | `getDouble​(java.lang.String key)` |
`java.lang.Float` | `getFloat​(java.lang.String key)` |
`int[]` | `getIntArray​(java.lang.String key)` |
`java.lang.Integer` | `getInteger​(java.lang.String key)` |
`java.util.Set<java.lang.String>` | `getKeys()` |
`NBTList` | `getList​(java.lang.String name, NBTType type)` |
`java.lang.Long` | `getLong​(java.lang.String key)` |
`java.lang.String` | `getName()` |
`<T> T` | `getObject​(java.lang.String key, java.lang.Class<T> type)` |
`NBTCompound` | `getParent()` |
`java.lang.Short` | `getShort​(java.lang.String key)` |
`java.lang.String` | `getString​(java.lang.String key)` |
`NBTType` | `getType​(java.lang.String name)` |
`java.lang.Boolean` | `hasKey​(java.lang.String key)` |
`void` | `mergeCompound​(NBTCompound comp)` |
`void` | `removeKey​(java.lang.String key)` |
`protected void` | `set​(java.lang.String key, java.lang.Object val)` |
`void` | `setBoolean​(java.lang.String key, java.lang.Boolean value)` |
`void` | `setByte​(java.lang.String key, java.lang.Byte value)` |
`void` | `setByteArray​(java.lang.String key, byte[] value)` |
`protected void` | `setCompound​(java.lang.Object compound)` |
`void` | `setDouble​(java.lang.String key, java.lang.Double value)` |
`void` | `setFloat​(java.lang.String key, java.lang.Float value)` |
`void` | `setIntArray​(java.lang.String key, int[] value)` |
`void` | `setInteger​(java.lang.String key, java.lang.Integer value)` |
`void` | `setLong​(java.lang.String key, java.lang.Long value)` |
`void` | `setObject​(java.lang.String key, java.lang.Object value)` |
`void` | `setShort​(java.lang.String key, java.lang.Short value)` |
`void` | `setString​(java.lang.String key, java.lang.String value)` |
`java.lang.String` | `toString()` |
`java.lang.String` | `toString​(java.lang.String key)` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NBTCompound

    protected NBTCompound()

#### NBTCompound

    protected NBTCompound​(NBTCompound owner,
                          java.lang.String name)

### Method Detail

#### getName

    public java.lang.String getName()

#### getCompound

    protected java.lang.Object getCompound()

#### setCompound

    protected void setCompound​(java.lang.Object compound)

#### getParent

    public NBTCompound getParent()

#### mergeCompound

    public void mergeCompound​(NBTCompound comp)

#### setString

    public void setString​(java.lang.String key,
                          java.lang.String value)

#### getString

    public java.lang.String getString​(java.lang.String key)

#### getContent

    protected java.lang.String getContent​(java.lang.String key)

#### setInteger

    public void setInteger​(java.lang.String key,
                           java.lang.Integer value)

#### getInteger

    public java.lang.Integer getInteger​(java.lang.String key)

#### setDouble

    public void setDouble​(java.lang.String key,
                          java.lang.Double value)

#### getDouble

    public java.lang.Double getDouble​(java.lang.String key)

#### setByte

    public void setByte​(java.lang.String key,
                        java.lang.Byte value)

#### getByte

    public java.lang.Byte getByte​(java.lang.String key)

#### setShort

    public void setShort​(java.lang.String key,
                         java.lang.Short value)

#### getShort

    public java.lang.Short getShort​(java.lang.String key)

#### setLong

    public void setLong​(java.lang.String key,
                        java.lang.Long value)

#### getLong

    public java.lang.Long getLong​(java.lang.String key)

#### setFloat

    public void setFloat​(java.lang.String key,
                         java.lang.Float value)

#### getFloat

    public java.lang.Float getFloat​(java.lang.String key)

#### setByteArray

    public void setByteArray​(java.lang.String key,
                             byte[] value)

#### getByteArray

    public byte[] getByteArray​(java.lang.String key)

#### setIntArray

    public void setIntArray​(java.lang.String key,
                            int[] value)

#### getIntArray

    public int[] getIntArray​(java.lang.String key)

#### setBoolean

    public void setBoolean​(java.lang.String key,
                           java.lang.Boolean value)

#### set

    protected void set​(java.lang.String key,
                       java.lang.Object val)

#### getBoolean

    public java.lang.Boolean getBoolean​(java.lang.String key)

#### setObject

    public void setObject​(java.lang.String key,
                          java.lang.Object value)

#### getObject

    public <T> T getObject​(java.lang.String key,
                           java.lang.Class<T> type)

#### hasKey

    public java.lang.Boolean hasKey​(java.lang.String key)

#### removeKey

    public void removeKey​(java.lang.String key)

#### getKeys

    public java.util.Set<java.lang.String> getKeys()

#### addCompound

    public NBTCompound addCompound​(java.lang.String name)

#### getCompound

    public NBTCompound getCompound​(java.lang.String name)

#### getList

    public NBTList getList​(java.lang.String name,
                           NBTType type)

#### getType

    public NBTType getType​(java.lang.String name)

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### toString

    public java.lang.String toString​(java.lang.String key)

#### asNBTString

    public java.lang.String asNBTString()